curl --request GET \
--url https://sandbox.rcintell.com/v1/facilities/{ccn} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/facilities/{ccn}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/facilities/{ccn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.rcintell.com/v1/facilities/{ccn}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.rcintell.com/v1/facilities/{ccn}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.rcintell.com/v1/facilities/{ccn}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.rcintell.com/v1/facilities/{ccn}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ccn": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"name": "<string>",
"address_line1": "<string>",
"cbsa": "<string>",
"cbsa_detail": {
"cbsa_code": "<string>",
"cbsa_name": "<string>",
"county_fips": "<string>",
"county_name": "<string>",
"is_metropolitan": true
},
"certifications": [
"<string>"
],
"city": "<string>",
"county": "<string>",
"facility_type": "<string>",
"gpci": {
"locality_name": "<string>",
"locality_number": "<string>",
"mp_gpci": 123,
"pe_gpci": 123,
"pw_gpci": 123,
"year": 123
},
"is_rural": true,
"mac": {
"jurisdiction": "<string>",
"mac_id": "<string>",
"mac_name": "<string>",
"mac_number": "<string>",
"phone": "<string>",
"website": "<string>"
},
"npi": "<string>",
"pos_code": "<string>",
"resolved_layers": {},
"state": "<string>",
"zip_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Get facility by CCN
Get a facility profile by its CCN (Medicare Provider Number).
Returns the facility details including MAC, GPCI, and CBSA enrichment.
curl --request GET \
--url https://sandbox.rcintell.com/v1/facilities/{ccn} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/facilities/{ccn}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/facilities/{ccn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.rcintell.com/v1/facilities/{ccn}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.rcintell.com/v1/facilities/{ccn}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.rcintell.com/v1/facilities/{ccn}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.rcintell.com/v1/facilities/{ccn}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"ccn": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"name": "<string>",
"address_line1": "<string>",
"cbsa": "<string>",
"cbsa_detail": {
"cbsa_code": "<string>",
"cbsa_name": "<string>",
"county_fips": "<string>",
"county_name": "<string>",
"is_metropolitan": true
},
"certifications": [
"<string>"
],
"city": "<string>",
"county": "<string>",
"facility_type": "<string>",
"gpci": {
"locality_name": "<string>",
"locality_number": "<string>",
"mp_gpci": 123,
"pe_gpci": 123,
"pw_gpci": 123,
"year": 123
},
"is_rural": true,
"mac": {
"jurisdiction": "<string>",
"mac_id": "<string>",
"mac_name": "<string>",
"mac_number": "<string>",
"phone": "<string>",
"website": "<string>"
},
"npi": "<string>",
"pos_code": "<string>",
"resolved_layers": {},
"state": "<string>",
"zip_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Path Parameters
6-digit CMS Certification Number (facility CCN / Medicare provider number).
Response
Facility profile with cached knowledge layers
Facility profile with resolved knowledge layers.
Medicare Provider Number
Facility display name
Core Based Statistical Area code
CBSA metro area detail
Show child attributes
Show child attributes
Facility licensures/certifications that can drive payer rules.
short_term_acute, asc, rhc, fqhc, ipf, ...
GPCI locality factors
Show child attributes
Show child attributes
CMS rural indicator (DME rate selection)
Medicare Administrative Contractor
Show child attributes
Show child attributes
National Provider Identifier
Default place-of-service code
Cached L1-L6 knowledge layer data